# SolrDisMaxQuery::addUserField

(No version information available, might only be in Git)

SolrDisMaxQuery::addUserField — Ajoute un champ au paramètre de champ utilisateur (uf)

### Description

public SolrDisMaxQuery::addUserField(string `$field`): SolrDisMaxQuery

Ajoute un champ au paramètre de champ utilisateur (uf)

### Liste de paramètres

`field`

  Le nom du champ

### Valeurs de retour

SolrDisMaxQuery

### Exemples

Exemple #1 Exemple de SolrDisMaxQuery::addUserField()

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery
->addUserField('cat')
->addUserField('text')
->addUserField('*_dt');
echo $dismaxQuery.PHP_EOL;
?>`

Résultat de l'exemple ci-dessus est similaire à :

    q=lucene&defType=edismax&uf=cat text *_dt

### Voir aussi

- SolrDisMaxQuery::removeUserField() - Supprime un champ du paramètre de champ utilisateur (uf)
- SolrDisMaxQuery::setUserFields() - Définit le paramètre de champs utilisateur (uf)